LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   If you have problems compiling some programs on 14.0 (http://www.linuxquestions.org/questions/slackware-14/if-you-have-problems-compiling-some-programs-on-14-0-a-4175429629/)

H_TeXMeX_H 09-29-2012 01:30 PM

If you have problems compiling some programs on 14.0
 
If you have problems compiling programs of slackware 14.0, especially if the errors have to do with 'libdl' or 'libm', I recommend adding this to '~/.bashrc':

Code:

export LIBS="-lm -ldl"
That should fix it.

H_TeXMeX_H 10-01-2012 09:20 AM

So, nobody has had a problem ? The problem was with ROX-Filer and Geany (I think). Either way after that I added the export LIBS and I cannot say for sure how many more packages are affected. I suppose it is mostly the software maintainer's fault for not adding these to the linker flags.

willysr 10-01-2012 10:23 AM

i think it's GCC's fault :)

imitis 10-01-2012 10:27 AM

I have problems with clementine :(

jmccue 10-01-2012 06:33 PM

Quote:

Originally Posted by H_TeXMeX_H (Post 4794011)
So, nobody has had a problem ?

The only issue I have had is 'gtk/gnome type software. I was playing around wondering what a specific package did and was not concerned if it compiled or not. All apps I care about compiled fine so far :)

Quote:

Originally Posted by H_TeXMeX_H (Post 4794011)
I suppose it is mostly the software maintainer's fault for not adding these to the linker flags.

I tend to agree with that, if you needed advance math functions you needed to specify -lm, for example: "man sqrt".

John

stormtracknole 10-01-2012 06:39 PM

I've had several issues already. Good tip and will definitely add that to my .bashrc file.


All times are GMT -5. The time now is 05:46 AM.